## My good friend

Друг вчера приходил, много о чем общались, он все рассказывал про Рим, например, самоназвание — lingua Latina, или латы́нь — язык древних римлян, употреблявшийся в Римской империи. Что Рим спасли гуси или поросята, не помню уже, много о чем говорили. Когда он уходил, он оставил эту записку, помоги мне понять что в ней)  

Найденный флаг надо обернуть в MCTF{} и заменить пробелы на _  

Пример: privet medved --> MCTF{privet_medved}!

[записка](1.txt)
### выдается 1.txt
## Writeups

### Первый способ
1. Разбираемся что находится внутри файла, благодаря таким словам, как ``` eelineBay , TUSI,May , siay``` можем увидеть закономерность, первая буква адекватного слова находится сзади + к слову добавлена частичка ``` ya ```
2. После того, как стало понятно какие изменения были в словах, давайте восстановим правильные слова, вот простой дешифратор:
```
def pig_decoder(text):
    words=text.split()
    ans=[]

    for word in words:
        word = word[-3]+word[:-3]
        ans.append(word)
    return ' '.join(ans)
```

3. После восстановления текста читаем его и понимаем, что это часть какой-то статьи, забиваем его в гугл и переходим на сайт, где есть схожий текст 
![](images/1.jpg)


4. Проводим поиск по сайту, чтобы найти схожий с нашим текст
![](images/2.jpg)

5. Пока проводили поиск по сайту, заметили, что полный текст поисковик найти не смог, значит текст был где-то изменен. Берем наш текст и текст с сайта и переходим на любой сайт по сравнению текстов
6. Вставляем наш текст и текст с сайта и находим различие, их всего 5 ```Are y0u really horny man ``` , меняем пробелы на ```_``` и оборачиваем в mctf{}
![](images/3.jpg)

7. Таск решен, флаг наш!

### Второй способ
1. Берем описание таска и идем в гугл, спустя какое-то время находим информацию, что текст зашифрован **поросячьей латынью** , находим библиотеку для питона/ читаем в чем заключается суть поросячьей латыни и пишем свой дешифратор
2. Выполняем пункт 3-7 из первого способа 

## Flag

MCTF{Are_y0u_really_horny_man}

## Complexity

Easy